search.documents
Search the specified document IDs for information relevant to a query. Use result.search.text as context for a language model and result.search.results for matching text and citations.
Authentication
X-API-Keystring
API Key authentication via header
Query parameters
n
The maximum number of returned search results. Accepts 1-100 with a default of 20.
nextToken
Pass nextToken from the previous response to get the next page of up to n search results.
verbosity
Response detail: 0 returns only recommended context; 1 adds search results without searchData; 2 includes searchData.
Request
This endpoint expects an object.
query
Search query.
documentIds
An array of unique documentIds to be searched.
filter
Key-value metadata used to filter documents before searching.
relevance
The minimum search relevance score required to include the result. By default, this is 10.0.
Response
Search query success
search
Errors
400
Bad Request Error
401
Unauthorized Error

